package com.objis.demostruts.aspectj;

public aspect LogAspect { 

pointcut logPersistent() 
: execution(* com.objis.demostruts.HelloModel.saveToPersistentStore(..));

before() : logPersistent() { 
System.out.println("AVANT enregistrement en base de donnes"); 
} 

after() : logPersistent() { 
System.out.println("APRES enregistrement en base de donnes"); 
} 

}